% ====================================================================
%
% HydroPneu_ForceDisp
% CBP 11-02-22
% Force, k and T as fn of x for Air Spring
%
% ====================================================================


% Params by optimization of data from MsC Thesis (whos?)
k = 350.0
x0 = 0.51
A=0.002

x = [-0.3:0.01:0.3];
F = A*k./(  (A*(x0 + x)  ).^1.3   ) - Fs;
figure(1);
plot(x,F);
grid;
figure(2)
g = gradient(F)./gradient(x);

plot(x,g);
figure(3)
T = 2*pi*sqrt(-600./g);
plot(x,T);
